Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::PW92LCFunctional Class Reference

Implements the PW92 local (LSDA) correlation term. More...

`#include <functional.h>`

Inheritance diagram for sc::PW92LCFunctional:

[legend]
Collaboration diagram for sc::PW92LCFunctional:

[legend]
List of all members.

## Public Methods

| PW92LCFunctional ()
| PW92LCFunctional (const Ref< KeyVal > &)
| PW92LCFunctional (StateIn &)
| ~PW92LCFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)

## Protected Methods

double | F (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)
double | dFdr_s (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)

## Detailed Description

Implements the PW92 local (LSDA) correlation term.

This local correlation functional is used in PW91 and PBE.

J. P. Perdew and Y. Wang. Phys. Rev. B, 45, 13244, 1992.

## Member Function Documentation

void sc::PW92LCFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::LSDACFunctional.

The documentation for this class was generated from the following file:

- functional.h